/* scsicmd.h: header file for generic SCSI command code
 * Copyright (C) 1996 Michael K. Johnson
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 * 
 */
#ifndef UMAX_SCSICMD_H
#define UMAX_SCSICMD_H

/* This file requires that linux/../../drivers/scsi/sg.h be included
 * first, because of several data structures.
 */

extern int scsi_debug_out;

#define SCSI_OFF sizeof(struct sg_header)

void scsi_init_debug(int f);

int do_scsi_cmd(int      sfd,          /* scanner device fd */
		unsigned char *ibuf,   /* input buffer */
		unsigned int in_size,  /* input data size */
		unsigned char *obuf,   /* output buffer */
		unsigned int *out_size /* size of output buffer */
		);


#ifdef  SG_BIG_BUFF
#define BUFSIZE SG_BIG_BUFF
#else
#define BUFSIZE 4096
#endif
#endif /* UMAX_SCSICMD_H */
